/*
 * RemarcacoesActionFactory.java
 *
 * Created on January 31, 2007, 6:37 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package siprp.lembretes.externos;

import javax.swing.Action;

import siprp.lembretes.externos.actions.TratarExternoAction;

import com.evolute.utils.data.IDObject;
import com.evolute.utils.ui.panel.multipleactionlist.ActionFactory;

/**
 *
 * @author fpalma
 */
public class ExternosActionFactory implements ActionFactory<IDObject>
{
	public static final int TRABALHADOR = 0;
	
	protected final int TIPO;
	
	/**
	 * Creates a new instance of RemarcacoesActionFactory
	 */
	public ExternosActionFactory( int tipo )
	{
		TIPO = tipo;
	}

	public Action createAction(IDObject[] objects)
	{
		return null;
	}

	public Action createAction(IDObject object)
	{
		switch( TIPO )
		{
			case TRABALHADOR:
				return new TratarExternoAction( object );
				
			default:
				return null;
		}
	}
	
}
